package com.ssj.service.conch.conch.vo;

import java.io.Serializable;
import java.util.Date;

public class HomeworkVO implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

    private String homeworkId;
    private String courseName;
    private Date createTime;
    private Integer isFeedback;

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getCourseName() {
        switch (courseName) {
            case "语文":
                return "YUWEN";
            case "数学":
                return "SHUXUE";
            case "英语":
                return "YINGYU";
            default:
                return "YUWEN";
        }
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Long getCreateTime() {
        if (createTime != null) {
            return createTime.getTime() / 1000;
        }
        return 0L;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getIsFeedback() {
        return isFeedback;
    }

    public void setIsFeedback(Integer isFeedback) {
        this.isFeedback = isFeedback;
    }
}
